edu.claflin.finder.algo

## Enum ArgumentsBundle.COMMON_ARGS

- java.lang.Object
- - java.lang.Enum<ArgumentsBundle.COMMON_ARGS>
  - - edu.claflin.finder.algo.ArgumentsBundle.COMMON_ARGS

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ArgumentsBundle.COMMON_ARGS>
  Enclosing class:
    ArgumentsBundle

      public static enum ArgumentsBundle.COMMON_ARGS
      extends java.lang.Enum<ArgumentsBundle.COMMON_ARGS>

  An enumeration containing common arguments used by the program.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDGE_PRESERVATION`
    `EDGE_WEIGHT_COMPARATOR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `desc` A String description of the enum.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ArgumentsBundle.COMMON_ARGS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ArgumentsBundle.COMMON_ARGS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDGE_PRESERVATION

          public static final ArgumentsBundle.COMMON_ARGS EDGE_PRESERVATION

    - #### EDGE_WEIGHT_COMPARATOR

          public static final ArgumentsBundle.COMMON_ARGS EDGE_WEIGHT_COMPARATOR

  - ### Field Detail

    - #### desc

          private java.lang.String desc

      A String description of the enum.

  - ### Method Detail

    - #### values

          public static ArgumentsBundle.COMMON_ARGS[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ArgumentsBundle.COMMON_ARGS c : ArgumentsBundle.COMMON_ARGS.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ArgumentsBundle.COMMON_ARGS valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ArgumentsBundle.COMMON_ARGS>`